# trampoline | data-structure-typed
Documentation for data-structure-typed

- data-structure-typed
- trampoline

# Function trampoline

- trampoline(fn): ((...args) => any) & {
  cont: ((...args) => Thunk );
  }

- #### Parameters

  - ##### fn: TrlFn

  #### Returns ((...args) => any) & {
  cont: ((...args) => Thunk );
  }

  - Defined in src/utils/utils.ts:47

###
Settings

#### Member Visibility

- Protected
- Private
- Inherited
- External

#### Theme

Generated using TypeDoc